<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col relative">
  <div class="h-16 flex items-center text-lg font-semibold shrink-0">Upload File</div>
  <div class="w-full h-[calc(100vh-164px)]">
    <app-file-upload [formControl]="fileControl"> </app-file-upload>
  </div>
  <div class="w-full flex items-center justify-start gap-8 mt-10">
    <p-button
      label="Upload File"
      (onClick)="uploadFiles()"
      [disabled]="(fileControl.statusChanges | async) != 'VALID' || uploaded"
      [loading]="uploading"
    ></p-button>
  </div>
  <div class="absolute top-2 right-0">
    <p-button icon="pi pi-times" severity="danger" [rounded]="true" (onClick)="close()"></p-button>
  </div>
</div>
